package cn.ibizlab.assetmanagement.core.workorder.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.workorder.domain.EAMWorkOrder;
/**
 * 关系型数据实体[EAMWorkOrder] 查询条件对象
 */
@Slf4j
@Data
public class EAMWorkOrderSearchContext extends QueryWrapperContext<EAMWorkOrder> {

	private String n_workordername_like;//[工单名称]
	public void setN_workordername_like(String n_workordername_like) {
        this.n_workordername_like = n_workordername_like;
        if(!ObjectUtils.isEmpty(this.n_workordername_like)){
            this.getSearchCond().like("workordername", n_workordername_like);
        }
    }
	private String n_eamwotypeid_eq;//[工单类型标识]
	public void setN_eamwotypeid_eq(String n_eamwotypeid_eq) {
        this.n_eamwotypeid_eq = n_eamwotypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwotypeid_eq)){
            this.getSearchCond().eq("eamwotypeid", n_eamwotypeid_eq);
        }
    }
	private String n_assetid_eq;//[资产标识]
	public void setN_assetid_eq(String n_assetid_eq) {
        this.n_assetid_eq = n_assetid_eq;
        if(!ObjectUtils.isEmpty(this.n_assetid_eq)){
            this.getSearchCond().eq("assetid", n_assetid_eq);
        }
    }
	private String n_eamlocationid_eq;//[功能位置标识]
	public void setN_eamlocationid_eq(String n_eamlocationid_eq) {
        this.n_eamlocationid_eq = n_eamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationid_eq)){
            this.getSearchCond().eq("eamlocationid", n_eamlocationid_eq);
        }
    }
	private String n_pworkorderid_eq;//[上级工单标识]
	public void setN_pworkorderid_eq(String n_pworkorderid_eq) {
        this.n_pworkorderid_eq = n_pworkorderid_eq;
        if(!ObjectUtils.isEmpty(this.n_pworkorderid_eq)){
            this.getSearchCond().eq("pworkorderid", n_pworkorderid_eq);
        }
    }
	private String n_eamwooriginid_eq;//[工单来源标识]
	public void setN_eamwooriginid_eq(String n_eamwooriginid_eq) {
        this.n_eamwooriginid_eq = n_eamwooriginid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwooriginid_eq)){
            this.getSearchCond().eq("eamwooriginid", n_eamwooriginid_eq);
        }
    }
	private String n_eamservicelevelid_eq;//[服务等级标识]
	public void setN_eamservicelevelid_eq(String n_eamservicelevelid_eq) {
        this.n_eamservicelevelid_eq = n_eamservicelevelid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamservicelevelid_eq)){
            this.getSearchCond().eq("eamservicelevelid", n_eamservicelevelid_eq);
        }
    }
	private String n_assetname_eq;//[资产]
	public void setN_assetname_eq(String n_assetname_eq) {
        this.n_assetname_eq = n_assetname_eq;
        if(!ObjectUtils.isEmpty(this.n_assetname_eq)){
            this.getSearchCond().eq("assetname", n_assetname_eq);
        }
    }
	private String n_assetname_like;//[资产]
	public void setN_assetname_like(String n_assetname_like) {
        this.n_assetname_like = n_assetname_like;
        if(!ObjectUtils.isEmpty(this.n_assetname_like)){
            this.getSearchCond().like("assetname", n_assetname_like);
        }
    }
	private String n_eamlocationname_eq;//[功能位置]
	public void setN_eamlocationname_eq(String n_eamlocationname_eq) {
        this.n_eamlocationname_eq = n_eamlocationname_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationname_eq)){
            this.getSearchCond().eq("eamlocationname", n_eamlocationname_eq);
        }
    }
	private String n_eamlocationname_like;//[功能位置]
	public void setN_eamlocationname_like(String n_eamlocationname_like) {
        this.n_eamlocationname_like = n_eamlocationname_like;
        if(!ObjectUtils.isEmpty(this.n_eamlocationname_like)){
            this.getSearchCond().like("eamlocationname", n_eamlocationname_like);
        }
    }
	private String n_eamservicelevelname_eq;//[服务等级]
	public void setN_eamservicelevelname_eq(String n_eamservicelevelname_eq) {
        this.n_eamservicelevelname_eq = n_eamservicelevelname_eq;
        if(!ObjectUtils.isEmpty(this.n_eamservicelevelname_eq)){
            this.getSearchCond().eq("eamservicelevelname", n_eamservicelevelname_eq);
        }
    }
	private String n_eamservicelevelname_like;//[服务等级]
	public void setN_eamservicelevelname_like(String n_eamservicelevelname_like) {
        this.n_eamservicelevelname_like = n_eamservicelevelname_like;
        if(!ObjectUtils.isEmpty(this.n_eamservicelevelname_like)){
            this.getSearchCond().like("eamservicelevelname", n_eamservicelevelname_like);
        }
    }
	private String n_eamwooriginname_eq;//[工单来源]
	public void setN_eamwooriginname_eq(String n_eamwooriginname_eq) {
        this.n_eamwooriginname_eq = n_eamwooriginname_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwooriginname_eq)){
            this.getSearchCond().eq("eamwooriginname", n_eamwooriginname_eq);
        }
    }
	private String n_eamwooriginname_like;//[工单来源]
	public void setN_eamwooriginname_like(String n_eamwooriginname_like) {
        this.n_eamwooriginname_like = n_eamwooriginname_like;
        if(!ObjectUtils.isEmpty(this.n_eamwooriginname_like)){
            this.getSearchCond().like("eamwooriginname", n_eamwooriginname_like);
        }
    }
	private String n_eamwotypename_eq;//[工单类型]
	public void setN_eamwotypename_eq(String n_eamwotypename_eq) {
        this.n_eamwotypename_eq = n_eamwotypename_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwotypename_eq)){
            this.getSearchCond().eq("eamwotypename", n_eamwotypename_eq);
        }
    }
	private String n_eamwotypename_like;//[工单类型]
	public void setN_eamwotypename_like(String n_eamwotypename_like) {
        this.n_eamwotypename_like = n_eamwotypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamwotypename_like)){
            this.getSearchCond().like("eamwotypename", n_eamwotypename_like);
        }
    }
	private String n_pworkordername_eq;//[上级工单]
	public void setN_pworkordername_eq(String n_pworkordername_eq) {
        this.n_pworkordername_eq = n_pworkordername_eq;
        if(!ObjectUtils.isEmpty(this.n_pworkordername_eq)){
            this.getSearchCond().eq("pworkordername", n_pworkordername_eq);
        }
    }
	private String n_pworkordername_like;//[上级工单]
	public void setN_pworkordername_like(String n_pworkordername_like) {
        this.n_pworkordername_like = n_pworkordername_like;
        if(!ObjectUtils.isEmpty(this.n_pworkordername_like)){
            this.getSearchCond().like("pworkordername", n_pworkordername_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("workordername", query)   
            );
		 }
	}
}



